QGIS Application - Feature request #9362
Export PDF layers from QGIS map composers
2014-01-17 12:25 AM - Asier Sarasua

Status: Open

Priority: Low

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17962
Description

As in the attached image.
PDF layers are formally known as Optional Content Groups.
"They represent a collection of graphic objects that can be made visible or invisible. Any graphic content of the PDF can be made

optional, including page contents, XObjects, and annotations." Reference:
http://livedocs.adobe.com/acrobat_sdk/9.1/Acrobat9 1 HTMLHelp/AP| References/Acrobat APl Reference/PD Layer/PDOCG.html

This feature would give the ability to open a PDF (generated from the QGIS composer) in Acrobat and enable/disable the visibility of
layers.

Related issues:
Duplicates QGIS Application - Feature request # 8771: Export print layouts in... Closed 2013-10-04

History

#1 - 2014-01-17 12:38 AM - Jukka Rahkonen

Feels the same as #8771 speaks about geopdf but it would be more safe to call it as geospatial pdf because GeoPDF is a trade mark.

#2 - 2014-01-17 05:05 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

To note that QGIS "can" already export (from the canvas, not the composer) as geopdf: the format is supported in gdal/ogr used by qggis, so it would be
possible to export using the "save as..." vector function or the translate tool in the raster menu. But as far as | can see the "geopdf" format is not listed in the
gui comboboxes.

#3 - 2015-01-30 11:25 PM - Simon W

Can we get a status on this or 87717

#4 - 2015-02-02 12:05 AM - Nyall Dawson

Simon - nothing to report, as far as I'm aware no one is currently tackling this issue.

#5 - 2015-03-15 02:39 AM - Asier Sarasua
- File qgis_geopdf 2.png added

2025-04-26 1/3



http://livedocs.adobe.com/acrobat_sdk/9.1/Acrobat9_1_HTMLHelp/API_References/Acrobat_API_Reference/PD_Layer/PDOCG.html

- File qgis_geopdf.png added

@Giovanni

As GDAL 1.10 supports GeoPDF, | successfully exported a PDF with layers (a raster layer and a polyline vector layer) from Processing inserting a

OGR_DATASOURCE parameter in the "Additional creation parameters" box to add the vector layer. However, it only exports vectors without style. | have

to investigate more into this'[2].

[1]http://www.gdal.org/frmt_pdf.html

[2]http://www.gdal.org/ogr_feature_style.html

#6 - 2015-03-15 06:22 AM - Giovanni Manghi

Asier Sarasua wrote:

@Giovanni

As GDAL 1.10 supports GeoPDF, | successfully exported a PDF with layers (a raster layer and a polyline vector layer) f

Hi,

yes this is expected beside the lack of options in QGIS gui.

The ticket is more about the possibility to export a map from the QGIS composer as geopdf.

#7 - 2015-04-22 03:23 AM - Luca Delucchi
Hi,
I'm working on a plugin to create GeospatialPDF (not that real GeoPDF because is proprietary format) from raster and vector data loaded into QGIS, but
not from QGIS composer.
| tried to investigate a little bit more about this possibility but | didn't find any good solution.
The plugin is close to be released (I hope in two/three weeks) and will have the following capabilities:
- export raster and styled vector (probably all the three QGIS symbol style)
- most of the GeospatialPDF "Creation Options" [0] are supported

- support for legend/scalebar/images and choose their position in the GeospatialPDF.

[0] http://www.gdal.org/frmt_pdf.html

#8 - 2015-04-24 04:28 AM - Giovanni Manghi
- Status changed from Open to Closed

see also #8771
#fn1
http://www.gdal.org/frmt_pdf.html

#9 - 2015-04-24 04:28 AM - Giovanni Manghi
- Status changed from Closed to Open

see also #8771

#10 - 2015-06-19 08:40 PM - James Wilson

If you want to make a Georeferenced PDF for Avenza:

Set up your print composer, and export it as a georeferenced image

(https://docs.qgis.org/2.6/en/docs/user_manual/print_composer/print_composer.html#creating-output)

Bring this back into your project as use Raster > Conversion > Translate
to export it as a georeferenced PDF

#11 - 2016-07-15 07:48 AM - amedeo fadini

I'm also interested in this feature: the planned use case is to distribute a PDF map or atlas in PDF format and give to the final user the chance to print the

whole map or only the layers of interest.

#12 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

Files

PDFlayers.png 172 KB 2014-01-16 Asier Sarasua
qgis_geopdf.png 413 KB 2015-03-15 Asier Sarasua
qgis_geopdf_2.png 76.3 KB 2015-03-15 Asier Sarasua
